 
#include <windows.h>

#include "dxfdwgapi.h"


static HINSTANCE ghLibInst=0;

BOOL Dxf2DxgLoadLibrary()
{
  ghLibInst = LoadLibrary( "dxf2dwgDLL.dll" );
  return (ghLibInst)? TRUE : FALSE;
}

VOID Dxf2DxgFreeLibrary()
{
  FreeLibrary( ghLibInst );
  ghLibInst = 0;
}

 typedef LPCTSTR (DXFDWGAPI *tfConvertDxftoDwg)(LPCTSTR szFileName,LPCTSTR OutszFName, int Ver );
 
//--------------
  

 
 

//--------------
LPCTSTR DXFDWGAPI ConvertDxftoDwg (LPCTSTR szFileName,LPCTSTR OutszFName, int Ver)
{
	LPCTSTR res;
  tfConvertDxftoDwg pfConvertDxftoDwg;
  pfConvertDxftoDwg = (tfConvertDxftoDwg)GetProcAddress( ghLibInst, "ConvertDxftoDwg" );
  if (pfConvertDxftoDwg){
    res = (*pfConvertDxftoDwg)(szFileName,  OutszFName, Ver);
  }
  return(res);
}



 
